/**
 * Test case for create.
 * Runs with mocha.
 */
'use strict'

const create = require('../lib/create.js')
const apemanport = require('apemanport')
const co = require('co')
const request = require('request')
const apemanApp = require('apeman-app')
const assert = require('assert')

describe('create', () => {
  let server, baseUrl
  before(() => co(function * () {
    let app = create({})
    assert.ok(app)
    let port = yield apemanport.find()
    server = yield apemanApp('testing-app', {
      port,
      configuration: {
        $apps: {
          'testing-app': {
            '/': [
              app
            ]
          }
        }
      }
    })
    baseUrl = `http://localhost:${port}/`
  }))

  after(() => co(function * () {
    yield server.close()
  }))

  it('Create', (done) => {
    request({
      method: 'GET',
      url: baseUrl
    }, (err, res, body) => {
      assert.ifError(err)
      done()
    })
  })
})

/* global describe, before, after, it */
